SignerInformationStore (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class SignerInformationStore

- java.lang.Object
- - org.bouncycastle.cms.SignerInformationStore

- All Implemented Interfaces:
    java.lang.Iterable<SignerInformation>

      public class SignerInformationStore
      extends java.lang.Object
      implements org.bouncycastle.util.Iterable<SignerInformation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerInformationStore(java.util.Collection<SignerInformation> signerInfos)` Create a store containing a collection of SignerInformation objects.
    `SignerInformationStore(SignerInformation signerInfo)` Create a store containing a single SignerInformation object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignerInformation` | `get(SignerId selector)` Return the first SignerInformation object that matches the passed in selector.
    `java.util.Collection<SignerInformation>` | `getSigners()` Return all signers in the collection
    `java.util.Collection<SignerInformation>` | `getSigners(SignerId selector)` Return possible empty collection with signers matching the passed in SignerId
    `java.util.Iterator<SignerInformation>` | `iterator()` Support method for Iterable where available.
    `int` | `size()` Return the number of signers in the collection.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerInformationStore

          public SignerInformationStore(SignerInformation signerInfo)

      Create a store containing a single SignerInformation object.
      Parameters:
        `signerInfo` - the signer information to contain.

    - #### SignerInformationStore

          public SignerInformationStore(java.util.Collection<SignerInformation> signerInfos)

      Create a store containing a collection of SignerInformation objects.
      Parameters:
        `signerInfos` - a collection signer information objects to contain.

  - ### Method Detail

    - #### get

          public SignerInformation get(SignerId selector)

      Return the first SignerInformation object that matches the passed in selector. Null if there are no matches.
      Parameters:
        `selector` - to identify a signer
      Returns:
        a single SignerInformation object. Null if none matches.

    - #### size

          public int size()

      Return the number of signers in the collection.
      Returns:
        number of signers identified.

    - #### getSigners

          public java.util.Collection<SignerInformation> getSigners()

      Return all signers in the collection
      Returns:
        a collection of signers.

    - #### getSigners

          public java.util.Collection<SignerInformation> getSigners(SignerId selector)

      Return possible empty collection with signers matching the passed in SignerId
      Parameters:
        `selector` - a signer id to select against.
      Returns:
        a collection of SignerInformation objects.

    - #### iterator

          public java.util.Iterator<SignerInformation> iterator()

      Support method for Iterable where available.
      Specified by:
        `iterator` in interface `java.lang.Iterable<SignerInformation>`